gRPC C#
gRPC C#
Namespaces
Grpc.Core
ClientBase Class
ClientBase Constructor
ClientBase Properties
ClientBase Methods

ClientBase Class

Base class for client-side stubs.
Inheritance Hierarchy
System
Object
Grpc.Core
ClientBase

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public abstract class ClientBase

    Public MustInherit Class ClientBase

    public ref class ClientBase abstract

    [<AbstractClassAttribute>]
    type ClientBase =  class end

The ClientBase type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ClientBase | Initializes a new instance of ClientBase class.

Top
Properties

| Name | Description
--- | --- | ---
| Channel | Channel associated with this client.
| HeaderInterceptor | Can be used to register a custom header (request metadata) interceptor. The interceptor is invoked each time a new call on this client is started.
| Host | gRPC supports multiple "hosts" being served by a single server. This property can be used to set the target host explicitly. By default, this will be set to null with the meaning "use default host".

Top
Methods

| Name | Description
--- | --- | ---
| CreateCall TRequest, TResponse | Creates a new call to given method.
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace